uniform sampler2D fullscreen;
uniform float brightpass;

void main ()
{ 
	vec4 frag = texture2D(fullscreen, gl_TexCoord[0].st);

	if (frag.a == 0.0 && frag.r + frag.g + frag.b > brightpass)
	{	
		gl_FragColor = frag;
	}
	else
	{

		gl_FragColor = vec4(0.0, 0.0, 0.0, 1.0);
	}
}